lmi1 {sdpt3r} | R Documentation

## Linear Matrix Inequality 1

### Description

`lmi1` creates input for sqlp to solve a linear matrix inequality problem

### Usage

    lmi1(B)

### Arguments

`B` | An mxn real valued matrix

### Details

Solves the type-1 linear matrix inequality problem. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    B <- matrix(c(-1,5,1,0,-2,1,0,0,-1), nrow=3)

    #Not Run
    #out <- lmi1(B)

[Package sdpt3r version 0.3 Index]